#-------------------------------------------------
#
# Project created by QtCreator 2018-05-30T15:28:10
#
#-------------------------------------------------

# Its a lib so we can exclud gui module
QT       -= gui

# the name we want to give our binary output. so cm-lib.dll in this case
# if we don't provide a TARGET it will default to the project name, which is exactly,
# what we have here. So we are being explicit
TARGET = cm-lib

# Not an app. It's a lib so that is our template
TEMPLATE = lib

# We want to add the c++14 features to our project so that is what we are going with
CONFIG += c++14

# we use this flag to trigger the export of the cm-lib_global.h which is a file with
# preprocessor boilerplate we can use to export our shared library symbols.
DEFINES += CMLIB_LIBRARY

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

# Adding our source folder so that the path is searched when we use #include statements
INCLUDEPATH += source

SOURCES += source\models\client.cpp
#unix style SOURCES += source/models/client.cpp

HEADERS += source\cm-lib_global.h source\models\client.h
#unix style HEADERS += source/cm-lib_global.h source/modeles/client.h

unix {
    target.path = /usr/lib
    INSTALLS += target
}
